UIDropDownMenu (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.UIDropDownMenu class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDropDownMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDropDownMenu

All Implemented Interfaces:
  javax.faces.component.StateHolder, MenuComponent

Direct Known Subclasses:
  HtmlDropDownMenu

    public abstract class UIDropDownMenu

extends javax.faces.component.UIComponentBase
implements MenuComponent

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.richfaces.component.MenuComponent
`MODE_AJAX, MODE_NONE, MODE_SERVER`

Constructor Summary
`UIDropDownMenu()`

Method Summary
`abstract java.lang.String` | `getEvent()`
`abstract java.lang.String` | `getSubmitMode()` Getter for submit mode property.
`abstract boolean` | `isDisabled()`
`abstract void` | `setDisabled(boolean disabled)`
`abstract void` | `setEvent(java.lang.String Event)`
`abstract void` | `setSubmitMode(java.lang.String submitMode)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIDropDownMenu

    public UIDropDownMenu()

Method Detail

### setEvent

    public abstract void setEvent(java.lang.String Event)

### getEvent

    public abstract java.lang.String getEvent()

### setSubmitMode

    public abstract void setSubmitMode(java.lang.String submitMode)

  Specified by:
    `setSubmitMode` in interface `MenuComponent`

### getSubmitMode

    public abstract java.lang.String getSubmitMode()

  Description copied from interface: `MenuComponent`
  Getter for submit mode property.

  Specified by:
    `getSubmitMode` in interface `MenuComponent`

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.